%global commit e2ce2d72f1a6f87bfe76d91f6de11d9d952a2cee
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global date 20190331

%global appname WattmanGTK

Name:           wattmangtk
Version:        0
Release:        4.%{date}git%{shortcommit}%{?dist}
Summary:        A Wattman-like GTK3+ GUI for AMDGPU users

License:        GPLv2+
URL:            https://github.com/BoukeHaarsma23/WattmanGTK
Source0:        %{url}/tarball/%{commit}#/%{name}-%{shortcommit}.tar.bz2
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

Requires:       python3-matplotlib-gtk3

%description
This is a Python3 program which uses a simple GTK gui to view, monitor and in
the future overclock a Radeon GPU on Linux.

What can it do?

 - View memory and GPU P-states including voltages.
 - Ability to monitor signals from GPU sensors by means of plotting
 - Write a bash file with overclock settings
 - Multi GPU support in top dropdown list

What can't it do?

 - Directly apply values from GUI (this will be a future addition)
 - Fan control (this will be a future addition)
 - Monitor multiple GPU's

%prep
%autosetup -n BoukeHaarsma23-%{appname}-%{shortcommit}
rm -rf %{name}.egg-info

%build
%py3_build

%install
%py3_install

%files
%license LICENSE
%{_bindir}/wattmanGTK
%{python3_sitelib}/%{appname}
%{python3_sitelib}/%{appname}-0.0.1-py?.?.egg-info

%changelog
* Thu Apr 04 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0-4.20190331gite2ce2d7
- Initial package.
